#include <bits/stdc++.h>

using namespace std;

int main(){

  ios_base::sync_with_stdio(0);
  cin.tie(0);

  int n, l;

  cin >> n >> l;
  
  int h = -1;

  for(int i = 0; i < n; ++i){
    int x;

    cin >> x;

    if(h != -1 || x > l) continue;

    h = i+1;
    break;
  }

  cout << h << '\n';

  return 0;
}